Bug 17253 - Koha::AuthorisedValues - Remove GetKohaAuthorisedValues
Summary: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17252 17294
Blocks: 15799
  Show dependency treegraph
 
Reported: 2016-09-05 14:19 UTC by Jonathan Druart
Modified: 2017-06-14 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (15.24 KB, patch)
2016-09-05 16:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (15.47 KB, patch)
2016-09-13 08:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (16.31 KB, patch)
2016-09-13 09:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (16.35 KB, patch)
2016-10-13 08:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17253: Fetch all the columns instead of only authorised_value (797 bytes, patch)
2016-10-13 10:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (16.41 KB, patch)
2016-10-13 12:06 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17253: Fetch all the columns instead of only authorised_value (856 bytes, patch)
2016-10-13 12:07 UTC, Claire Gravely
Details | Diff | Splinter Review
[PASSED QA] Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues (16.48 KB, patch)
2016-10-13 13:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
[PASSED QA] Bug 17253: Fetch all the columns instead of only authorised_value (934 bytes, patch)
2016-10-13 13:51 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-09-05 14:19:10 UTC

    
Comment 1 Jonathan Druart 2016-09-05 16:17:49 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-09-13 08:59:20 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-13 09:11:19 UTC
Created attachment 55522 [details] [review]
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues

This patch replaces the call to C4::Koha::GetKohaAuthorisedValues with
Koha::AuthorisedValues->search_by_koha_field

Test plan:
AV descriptions should be displayed on the following pages:
- XSLT view - location and ccode
- Bibliographic detail, moredetail and OPAC pages - location, ccode, copynumber
- returns - location
- opac-basket - ccode, location
- The 3 reports: catalogue_stats.pl, issues_stats.pl and
  reserves_stats.pl - location, ccode
Comment 4 Claire Gravely 2016-10-13 07:03:50 UTC
fatal: sha1 information is lacking or useless (C4/Koha.pm)
Comment 5 Jonathan Druart 2016-10-13 08:01:05 UTC
Created attachment 56306 [details] [review]
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues

This patch replaces the call to C4::Koha::GetKohaAuthorisedValues with
Koha::AuthorisedValues->search_by_koha_field

Test plan:
AV descriptions should be displayed on the following pages:
- XSLT view - location and ccode
- Bibliographic detail, moredetail and OPAC pages - location, ccode, copynumber
- returns - location
- opac-basket - ccode, location
- The 3 reports: catalogue_stats.pl, issues_stats.pl and
  reserves_stats.pl - location, ccode
Comment 6 Claire Gravely 2016-10-13 08:33:37 UTC
I am not seeing location and ccode in Bibliographic detail, more detail, OPAC pages and OPAC basket. 

Copynumber is displaying in Bibliographic detail and more detail.

Returns page: there is a column for location but no value is displayed despite one being set.
Comment 7 Claire Gravely 2016-10-13 09:19:48 UTC
(In reply to Claire Gravely from comment #6)
> I am not seeing location and ccode in Bibliographic detail, more detail,
> OPAC pages and OPAC basket. 
> 
> Copynumber is displaying in Bibliographic detail and more detail.
> 
> Returns page: there is a column for location but no value is displayed
> despite one being set.

Also, from the 3 reports:

catalogue_stats.pl - both location and ccode missing AVs from drop down list

issues_stats.pl and  reserves_stats.pl - ccode missing AVs from list
Comment 8 Jonathan Druart 2016-10-13 10:10:40 UTC
Created attachment 56336 [details] [review]
Bug 17253: Fetch all the columns instead of only authorised_value
Comment 9 Claire Gravely 2016-10-13 11:33:44 UTC
(In reply to Jonathan Druart from comment #5)
> Created attachment 56306 [details] [review] [review]
> Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues
> 
> This patch replaces the call to C4::Koha::GetKohaAuthorisedValues with
> Koha::AuthorisedValues->search_by_koha_field
> 
> Test plan:
> AV descriptions should be displayed on the following pages:
> - XSLT view - location and ccode
> - Bibliographic detail, moredetail and OPAC pages - location, ccode,
> copynumber

[BIB Details page OK with XSLT and without XSLT] 
[BIB Moredetails page missing location with XSLT and without XSLT - also not displayed on master] 
[OPAC pages ok with XSLT and without XSLT]


> - returns - location

[ALL OK]

> - opac-basket - ccode, location

[ccode not displayed - also not displayed on master]

> - The 3 reports: catalogue_stats.pl, issues_stats.pl and
>   reserves_stats.pl - location, ccode

[ALL OK]
Comment 10 Claire Gravely 2016-10-13 12:06:24 UTC
Created attachment 56370 [details] [review]
Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues

This patch replaces the call to C4::Koha::GetKohaAuthorisedValues with
Koha::AuthorisedValues->search_by_koha_field

Test plan:
AV descriptions should be displayed on the following pages:
- XSLT view - location and ccode
- Bibliographic detail, moredetail and OPAC pages - location, ccode, copynumber
- returns - location
- opac-basket - ccode, location
- The 3 reports: catalogue_stats.pl, issues_stats.pl and
  reserves_stats.pl - location, ccode

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 11 Claire Gravely 2016-10-13 12:07:33 UTC
Created attachment 56371 [details] [review]
Bug 17253: Fetch all the columns instead of only authorised_value

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 12 Martin Renvoize 2016-10-13 13:51:18 UTC
Created attachment 56404 [details] [review]
[PASSED QA] Bug 17253: Koha::AuthorisedValues - Remove GetKohaAuthorisedValues

This patch replaces the call to C4::Koha::GetKohaAuthorisedValues with
Koha::AuthorisedValues->search_by_koha_field

Test plan:
AV descriptions should be displayed on the following pages:
- XSLT view - location and ccode
- Bibliographic detail, moredetail and OPAC pages - location, ccode, copynumber
- returns - location
- opac-basket - ccode, location
- The 3 reports: catalogue_stats.pl, issues_stats.pl and
  reserves_stats.pl - location, ccode

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2016-10-13 13:51:34 UTC
Created attachment 56405 [details] [review]
[PASSED QA] Bug 17253: Fetch all the columns instead of only authorised_value

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2016-10-13 13:52:49 UTC
End of tree.. passed :)
Comment 15 Kyle M Hall 2016-10-21 16:14:56 UTC
Pushed to master for 16.11, thanks Jonathan!